VERSION 5.00
Begin VB.Form frmCOMAddIn 
   Caption         =   "Align/Distribute"
   ClientHeight    =   3555
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   3795
   Icon            =   "frmCOMAddIn.frx":0000
   LinkTopic       =   "Form1"
   ScaleHeight     =   237
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   253
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton cmdApply 
      Caption         =   "A&pply"
      Height          =   375
      Left            =   0
      TabIndex        =   13
      Top             =   3120
      Width           =   1935
   End
   Begin VB.Frame fraDist 
      Caption         =   "Distribute"
      Height          =   495
      Left            =   0
      TabIndex        =   12
      Top             =   1800
      Width           =   3735
      Begin VB.CheckBox optDistV 
         Caption         =   "Distribute Vertically"
         Height          =   195
         Left            =   2040
         TabIndex        =   15
         Top             =   240
         Width           =   1635
      End
      Begin VB.CheckBox optDistH 
         Caption         =   "Distribute Horizontally"
         Height          =   195
         Left            =   120
         TabIndex        =   14
         Top             =   240
         Width           =   1815
      End
   End
   Begin VB.CommandButton cmdAbout 
      Caption         =   "&About"
      Height          =   375
      Left            =   2040
      TabIndex        =   11
      Top             =   3120
      Width           =   1695
   End
   Begin VB.CommandButton cmdCancel 
      Cancel          =   -1  'True
      Caption         =   "&Cancel"
      Height          =   375
      Left            =   2040
      TabIndex        =   10
      Top             =   2640
      Width           =   1695
   End
   Begin VB.CommandButton cmdOK 
      Caption         =   "&OK"
      Default         =   -1  'True
      Height          =   375
      Left            =   0
      TabIndex        =   9
      Top             =   2640
      Width           =   1935
   End
   Begin VB.CheckBox chkRel 
      Caption         =   "Relative to Margin Guides"
      Height          =   255
      Left            =   120
      TabIndex        =   8
      Top             =   2400
      Width           =   3615
   End
   Begin VB.Frame fraVert 
      Caption         =   "Align Vertical"
      Height          =   1815
      Left            =   1920
      TabIndex        =   4
      Top             =   0
      Width           =   1815
      Begin VB.OptionButton optTop 
         Caption         =   "&Top"
         Height          =   255
         Left            =   840
         TabIndex        =   5
         Top             =   360
         Width           =   615
      End
      Begin VB.OptionButton optMiddle 
         Caption         =   "&Middle"
         Height          =   255
         Left            =   840
         TabIndex        =   6
         Top             =   840
         Width           =   855
      End
      Begin VB.OptionButton optBottom 
         Caption         =   "&Bottom"
         Height          =   255
         Left            =   840
         TabIndex        =   7
         Top             =   1320
         Width           =   855
      End
      Begin VB.Image imgBottom 
         Height          =   450
         Left            =   120
         Picture         =   "frmCOMAddIn.frx":014A
         Top             =   1200
         Width           =   600
      End
      Begin VB.Image imgMiddle 
         Height          =   450
         Left            =   120
         Picture         =   "frmCOMAddIn.frx":0F9C
         Top             =   720
         Width           =   600
      End
      Begin VB.Image imgTop 
         Height          =   450
         Left            =   120
         Picture         =   "frmCOMAddIn.frx":1DEE
         Top             =   240
         Width           =   600
      End
   End
   Begin VB.Frame fraHor 
      Caption         =   "Align Horizontal"
      Height          =   1815
      Left            =   0
      TabIndex        =   0
      Top             =   0
      Width           =   1815
      Begin VB.OptionButton optRight 
         Caption         =   "&Right"
         Height          =   255
         Left            =   840
         TabIndex        =   3
         Top             =   1320
         Width           =   735
      End
      Begin VB.OptionButton optCenter 
         Caption         =   "C&enter"
         Height          =   255
         Left            =   840
         TabIndex        =   2
         Top             =   840
         Width           =   855
      End
      Begin VB.OptionButton optLeft 
         Caption         =   "&Left"
         Height          =   255
         Left            =   840
         TabIndex        =   1
         Top             =   360
         Width           =   615
      End
      Begin VB.Image imgRight 
         Height          =   450
         Left            =   120
         Picture         =   "frmCOMAddIn.frx":2C40
         Top             =   1200
         Width           =   600
      End
      Begin VB.Image imgCenter 
         Height          =   450
         Left            =   120
         Picture         =   "frmCOMAddIn.frx":3A92
         Top             =   720
         Width           =   600
      End
      Begin VB.Image imgLeft 
         Height          =   450
         Left            =   120
         Picture         =   "frmCOMAddIn.frx":48E4
         Top             =   240
         Width           =   600
      End
   End
End
Attribute VB_Name = "frmCOMAddIn"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False


Private Sub chkRel_Click()
    If gOneObj = True Then
        chkRel.Value = 1
    End If
End Sub

Private Sub cmdAbout_Click()
    MsgBox "Align/Distribute v1.0" & vbCrLf & "Thanks to Brian Kvalheim for Beta Testing!  :)" & vbCrLf & "2003 Ed Bennett (aka the_nerd).  All Rights Reserved." & "Questions?  Comments?  the_nerd@mvps.org", vbInformation, "About..."
End Sub

Private Sub cmdApply_Click()
On Error GoTo EHANDLE
    If ActiveDocument.Selection.ShapeRange.Count <= 0 Then
        MsgBox "Error: You have deselected shapes.  Cannot continue"
        Call cmdCancel_Click
    End If
    If ActiveDocument.Selection.ShapeRange.Count = 1 Then
        chkRel.Value = 1
    End If
    Select Case chkRel.Value
        Case 1
            If optLeft.Value = True Then
                Publisher.ActiveDocument.Selection.ShapeRange.Align msoAlignLefts, msoTrue
            ElseIf optCenter.Value = True Then
                Publisher.ActiveDocument.Selection.ShapeRange.Align msoAlignCenters, msoTrue
            ElseIf optRight.Value = True Then
                Publisher.ActiveDocument.Selection.ShapeRange.Align msoAlignRights, msoTrue
            End If
            If optTop.Value = True Then
                Publisher.ActiveDocument.Selection.ShapeRange.Align msoAlignTops, msoTrue
            ElseIf optMiddle.Value = True Then
                Publisher.ActiveDocument.Selection.ShapeRange.Align msoAlignMiddles, msoTrue
            ElseIf optBottom.Value = True Then
                Publisher.ActiveDocument.Selection.ShapeRange.Align msoAlignBottoms, msoTrue
            End If
            If optDistH.Value = True Then
                Publisher.ActiveDocument.Selection.ShapeRange.Distribute msoDistributeHorizontally, msoTrue
            ElseIf optDistV.Value = True Then
                Publisher.ActiveDocument.Selection.ShapeRange.Distribute msoDistributeVertically, msoTrue
            End If
        Case 0
            If optLeft.Value = True Then
                Publisher.ActiveDocument.Selection.ShapeRange.Align msoAlignLefts, msoFalse
            ElseIf optCenter.Value = True Then
                Publisher.ActiveDocument.Selection.ShapeRange.Align msoAlignCenters, msoFalse
            ElseIf optRight.Value = True Then
                Publisher.ActiveDocument.Selection.ShapeRange.Align msoAlignRights, msoFalse
            End If
            If optTop.Value = True Then
                Publisher.ActiveDocument.Selection.ShapeRange.Align msoAlignTops, msoFalse
            ElseIf optMiddle.Value = True Then
                Publisher.ActiveDocument.Selection.ShapeRange.Align msoAlignMiddles, msoFalse
            ElseIf optBottom.Value = True Then
                Publisher.ActiveDocument.Selection.ShapeRange.Align msoAlignBottoms, msoFalse
            End If
            If optDistH.Value = True Then
                Publisher.ActiveDocument.Selection.ShapeRange.Distribute msoDistributeHorizontally, msoFalse
            ElseIf optDistV.Value = True Then
                Publisher.ActiveDocument.Selection.ShapeRange.Distribute msoDistributeVertically, msoFalse
            End If
    End Select
    GoTo JimBob
EHANDLE:
    MsgBox "Unexpected error of type " & Err & "!" & vbCr & Description, vbExclamation, "Error!"
JimBob:
End Sub

Private Sub cmdCancel_Click()
    optBottom.Value = False
    optCenter.Value = False
    optMiddle.Value = False
    optLeft.Value = False
    optRight.Value = False
    optTop.Value = False
    optDistH.Value = False
    optDistV.Value = False
    optLeft.SetFocus
    Me.Hide
End Sub

Private Sub cmdOK_Click()
On Error GoTo EHANDLE
    If ActiveDocument.Selection.ShapeRange.Count <= 0 Then
        MsgBox "Error: You have deselected shapes.  Cannot continue"
        Call cmdCancel_Click
    End If
    If ActiveDocument.Selection.ShapeRange.Count = 1 Then
        chkRel.Value = 1
    End If
    Select Case chkRel.Value
        Case 1
            If optLeft.Value = True Then
                Publisher.ActiveDocument.Selection.ShapeRange.Align msoAlignLefts, msoTrue
            ElseIf optCenter.Value = True Then
                Publisher.ActiveDocument.Selection.ShapeRange.Align msoAlignCenters, msoTrue
            ElseIf optRight.Value = True Then
                Publisher.ActiveDocument.Selection.ShapeRange.Align msoAlignRights, msoTrue
            End If
            If optTop.Value = True Then
                Publisher.ActiveDocument.Selection.ShapeRange.Align msoAlignTops, msoTrue
            ElseIf optMiddle.Value = True Then
                Publisher.ActiveDocument.Selection.ShapeRange.Align msoAlignMiddles, msoTrue
            ElseIf optBottom.Value = True Then
                Publisher.ActiveDocument.Selection.ShapeRange.Align msoAlignBottoms, msoTrue
            End If
            If optDistH.Value = True Then
                Publisher.ActiveDocument.Selection.ShapeRange.Distribute msoDistributeHorizontally, msoTrue
            ElseIf optDistV.Value = True Then
                Publisher.ActiveDocument.Selection.ShapeRange.Distribute msoDistributeVertically, msoTrue
            End If
        Case 0
            If optLeft.Value = True Then
                Publisher.ActiveDocument.Selection.ShapeRange.Align msoAlignLefts, msoFalse
            ElseIf optCenter.Value = True Then
                Publisher.ActiveDocument.Selection.ShapeRange.Align msoAlignCenters, msoFalse
            ElseIf optRight.Value = True Then
                Publisher.ActiveDocument.Selection.ShapeRange.Align msoAlignRights, msoFalse
            End If
            If optTop.Value = True Then
                Publisher.ActiveDocument.Selection.ShapeRange.Align msoAlignTops, msoFalse
            ElseIf optMiddle.Value = True Then
                Publisher.ActiveDocument.Selection.ShapeRange.Align msoAlignMiddles, msoFalse
            ElseIf optBottom.Value = True Then
                Publisher.ActiveDocument.Selection.ShapeRange.Align msoAlignBottoms, msoFalse
            End If
            If optDistH.Value = True Then
                Publisher.ActiveDocument.Selection.ShapeRange.Distribute msoDistributeHorizontally, msoFalse
            ElseIf optDistV.Value = True Then
                Publisher.ActiveDocument.Selection.ShapeRange.Distribute msoDistributeVertically, msoFalse
            End If
    End Select
    Call cmdCancel_Click
    GoTo JimBob
EHANDLE:
    MsgBox "Unexpected error of type " & Err & "!" & vbCr & Description, vbExclamation, "Error!"
JimBob:
End Sub

Private Sub Form_Load()
    optBottom.Value = False
    optCenter.Value = False
    optMiddle.Value = False
    optLeft.Value = False
    optRight.Value = False
    optTop.Value = False
    optDistH.Value = False
    optDistV.Value = False
    'optLeft.SetFocus
End Sub


Private Sub Form_Paint()
    If gOneObj = True Then
        chkRel.Value = 1
    Else
        chkRel.Value = 0
    End If
End Sub

Private Sub optBottom_Click()
    optDistV.Value = 0
End Sub

Private Sub optCenter_Click()
    optDistH.Value = 0
End Sub

Private Sub optDistH_Click()
    If optDistH.Value = 1 Then
        optLeft.Value = False
        optCenter.Value = False
        optRight.Value = False
    End If
End Sub

Private Sub optDistV_Click()
    If optDistV.Value = 1 Then
        optTop.Value = False
        optMiddle.Value = False
        optBottom.Value = False
    End If
End Sub

Private Sub optLeft_Click()
    optDistH.Value = 0
End Sub

Private Sub optMiddle_Click()
    optDistV.Value = 0
End Sub

Private Sub optRight_Click()
    optDistH.Value = 0
End Sub

Private Sub optTop_Click()
    optDistV.Value = 0
End Sub
